package cn.chnmuseum.party.service.impl;

import cn.chnmuseum.party.model.ExhibitionBoard;
import cn.chnmuseum.party.mapper.ExhibitionBoardMapper;
import cn.chnmuseum.party.service.ExhibitionBoardService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 展板 服务实现类
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Service
public class ExhibitionBoardServiceImpl extends ServiceImpl<ExhibitionBoardMapper, ExhibitionBoard> implements ExhibitionBoardService {

    @Autowired
    private ExhibitionBoardMapper exhibitionBoardMapper;

    //根据学习项目id查询所有展板
    @Override
    public List<ExhibitionBoard> getList(String learningProjectId, boolean isPublished) {
        return exhibitionBoardMapper.getList(learningProjectId,isPublished);
    }

    //根据学习内容id查询所有展板
    @Override
    public List<ExhibitionBoard> getByContentList(String learningContentId, boolean isPublished) {
        return exhibitionBoardMapper.getByContentList(learningContentId,isPublished);
    }
}
