package cn.chnmuseum.party.service.impl;

import cn.chnmuseum.party.mapper.LearningContentBoardMapper;
import cn.chnmuseum.party.model.Asset;
import cn.chnmuseum.party.model.ExhibitionBoard;
import cn.chnmuseum.party.model.LearningContentBoard;
import cn.chnmuseum.party.service.LearningContentBoardService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 学习内容展板 服务实现类
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Service
public class LearningContentBoardServiceImpl extends ServiceImpl<LearningContentBoardMapper, LearningContentBoard> implements LearningContentBoardService {

    @Resource
    private LearningContentBoardMapper learningContentBoardMapper;

    @Override
    public List<LearningContentBoard> getBoardListByLearningContentId(String learningContentId) {
        return learningContentBoardMapper.selectBoardListByLearningContentId(learningContentId);
    }

    @Override
    public IPage<ExhibitionBoard> getBoardPageByLearningContentId(Page<ExhibitionBoard> page, String learningContentId, String nameOrCode) {
        return learningContentBoardMapper.selectBoardPageByLearningContentId(page, learningContentId, nameOrCode);
    }

    @Override
    public IPage<Asset> getAssetPageByOrganCode(Page<Asset> page, String organCode) {
        //查询所有可看子学习内容视频列表
//        return learningContentBoardMapper.selectAssetPageByOrganCode(page, organCode);
        //直接查询主学习内容更新视频
        return learningContentBoardMapper.selectAssetPageAll(page);
    }

    @Override
    public IPage<ExhibitionBoard> getBoardPageByLearningProjectId(Page<ExhibitionBoard> page, String learningProjectId, String nameOrCode) {
        //直接关联主学习内容查询展板
        return learningContentBoardMapper.getBoardPageByLearningProjectId(page, learningProjectId, nameOrCode);
    }

}
